#
# spec file for package scim-pinyin (Version 0.5.91.20050815)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gconf2 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libogg libogg-devel libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 pam pam-modules pango pango-devel patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm scim scim-devel sed sgml-skel skim strace sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           scim-pinyin
BuildRequires:  gtk2-devel kdelibs3-devel scim-devel skim
Version:        0.5.91.20050815
Release:        17.2
License:        GPL
Group:          System/I18n/Chinese
Autoreqprov:    on
Provides:       locale(scim:zh)
PreReq:         gconf2 libxml2 orbit2 glib2
Obsoletes:      scim-chinese
Provides:       scim-chinese
URL:            http://www.scim-im.org/
# CVS repository:
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/scim login 
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/scim co scim-pinyin
Source0:        scim-pinyin-0.5.91.20050815.tar.bz2
Patch0:         gcc4.patch
Patch1:         fix-include-hints.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Intelligent Pinyin input module for Smart Chinese/Common Input Method platform

%description
Intelligent Pinyin input module for Smart Chinese/Common Input Method
platform



Authors:
--------
    James Su <suzhe@tsinghua.org.cn>

%debug_package
%package -n scim-pinyin-skim
Summary:        Intelligent Pinyin input module for Smart Chinese/Common Input Method platform
Group:          System/I18n/Chinese
Requires:       %{name} = %{version}
Provides:       locale(skim:zh)

%description -n scim-pinyin-skim
skim setup module for scim-pinyin



Authors:
--------
    James Su <suzhe@tsinghua.org.cn>

%prep
%setup -q -n %{name}-%{version}
#%patch0 -p1
%patch1

%build
./bootstrap
#libtoolize --force
#autoreconf -I /opt/gnome/share/aclocal --force --install --verbose
export QTDIR=/usr/lib/qt3
export KDEDIR=/opt/kde3
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
            --sysconfdir=%{_sysconfdir} \
	    --libdir=%{_libdir} \
            --disable-static \
	    --disable-schemas-install \
	    --with-gconf-schema-file-dir=/etc/opt/gnome/gconf/schemas \
	    --enable-debug 
make	    
unsermake -C skim

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
export QTDIR=/usr/lib/qt3
export KDEDIR=/opt/kde3
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=${RPM_BUILD_ROOT} install
unsermake -C skim DESTDIR=${RPM_BUILD_ROOT} install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/*.la
%find_lang scim-pinyin
%find_lang skim-scim-pinyin

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
# %post
# export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
# opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/scim-chinese.schemas >/dev/null

%files -f scim-pinyin.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
#%config %{_sysconfdir}/opt/gnome/gconf/schemas/*
%dir %{_libdir}/scim-1.0/
%dir %{_libdir}/scim-1.0/IMEngine/
%{_libdir}/scim-1.0/IMEngine/pinyin.so
%{_libdir}/scim-1.0/SetupUI/pinyin-imengine-setup.so
%dir %{_datadir}/scim/
%dir %{_datadir}/scim/pinyin/
%{_datadir}/scim/pinyin/*
%dir %{_datadir}/scim/icons/
%{_datadir}/scim/icons/smart-pinyin.png

%files -n scim-pinyin-skim -f skim-scim-pinyin.lang
%defattr(-, root, root)
%dir /opt/kde3/share/apps/skim/
/opt/kde3/share/apps/skim/*
/opt/kde3/share/config.kcfg/*
/opt/kde3/share/services/*
/opt/kde3/%{_lib}/kde3/*

%changelog -n scim-pinyin
* Thu Feb 23 2006 - mfabian@suse.de
- add "Provides:     locale(skim:zh)" to scim-pinyin-skim sub-
  package.
* Thu Feb 23 2006 - mfabian@suse.de
- add "Provides:     locale(scim:zh)".
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 13 2005 - stbinner@suse.de
- remove unintended char in patch
* Wed Oct 12 2005 - stbinner@suse.de
- fix wrong include hints for compilation against Qt 3.3.5
* Mon Aug 15 2005 - mfabian@suse.de
- update to scim-pinyin-0.5.91.20050815 to fix a bug which
  makes it impossible to switch beteen input modes.
* Thu Aug 11 2005 - mfabian@suse.de
- update to current cvs HEAD and remove workaround for wrong prefix
  from .spec file.
* Wed Aug 10 2005 - mfabian@suse.de
- update to 0.5.90.20050808.
- new sub-package scim-pinyin-skim.
* Thu Aug 04 2005 - mfabian@suse.de
- Bugzilla #97962: add configure option "--enable-debug" to
  the .spec file.
* Tue Aug 02 2005 - aj@suse.de
- Adjust neededforbuild.
* Thu Jul 28 2005 - mfabian@suse.de
- use "make install" instead of "make install-strip" otherwise
  the scim-pinyin-debuginfo package will be empty.
- use RPM_OPT_FLAGS.
* Fri Apr 15 2005 - mfabian@suse.de
- make it build with gcc4.
* Tue Feb 15 2005 - mfabian@suse.de
- update to 0.5.0.20050215 (Italian translations are available
  now).
* Mon Jan 10 2005 - mfabian@suse.de
- update to 0.5.0.20050110 (during this update, the package
  has been renamed from scim-chinese to scim-pinyin).
* Fri Aug 13 2004 - mfabian@suse.de
- update to 0.4.1.
* Thu Aug 05 2004 - mfabian@suse.de
- update to 0.4.0.
* Tue Apr 27 2004 - mfabian@suse.de
- create SuSE package (version 0.3.0).
* Mon Apr 26 2004 - James Su <suzhe@tsinghua.org.cn>
- change the license to GPL.
* Thu Jun 19 2003 - James Su <suzhe@tsinghua.org.cn>
- updated to include setup module.
* Thu May 22 2003 - James Su <suzhe@tsinghua.org.cn>
- upto v0.2.1
* Mon Mar 31 2003 - James Su <suzhe@tsinghua.org.cn>
- upto v0.2.0
* Sun Jul 07 2002 - James Su <suzhe@tsinghua.org.cn>
- first public release of SCIM-chinese.
